CommandResponse (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.admin

## Class CommandResponse

- java.lang.Object
- - org.apache.zookeeper.server.admin.CommandResponse

-     public class CommandResponse
      extends Object

  A response from running a `Command`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `KEY_COMMAND` The key in the map returned by `toMap()` for the command name.
    `static String` | `KEY_ERROR` The key in the map returned by `toMap()` for the error string.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandResponse(String command)` Creates a new response with no error string.
    `CommandResponse(String command, String error)` Creates a new response.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommand()` Gets the command name.
    `String` | `getError()` Gets the error string (may be null).
    `Object` | `put(String key, Object value)` Adds a key/value pair to this response.
    `void` | `putAll(Map<? extends String,?> m)` Adds all key/value pairs in the given map to this response.
    `Map<String,Object>` | `toMap()` Converts this response to a map.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_COMMAND

          public static final String KEY_COMMAND

      The key in the map returned by `toMap()` for the command name.
      See Also:
        Constant Field Values

    - #### KEY_ERROR

          public static final String KEY_ERROR

      The key in the map returned by `toMap()` for the error string.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CommandResponse

          public CommandResponse(String command)

      Creates a new response with no error string.
      Parameters:
        `command` - command name

    - #### CommandResponse

          public CommandResponse(String command,
                                 String error)

      Creates a new response.
      Parameters:
        `command` - command name
        `error` - error string (may be null)

  - ### Method Detail

    - #### getCommand

          public String getCommand()

      Gets the command name.
      Returns:
        command name

    - #### getError

          public String getError()

      Gets the error string (may be null).
      Returns:
        error string

    - #### put

          public Object put(String key,
                            Object value)

      Adds a key/value pair to this response.
      Parameters:
        `key` - key
        `value` - value
      Returns:
        prior value for key, or null if none

    - #### putAll

          public void putAll(Map<? extends String,?> m)

      Adds all key/value pairs in the given map to this response.
      Parameters:
        `m` - map of key/value pairs

    - #### toMap

          public Map<String,Object> toMap()

      Converts this response to a map. The returned map is mutable, and changes to it do not reflect back into this response.
      Returns:
        map representation of response

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.